# <img alt="mispr" src="docs/logo.png" width="500">

[![Downloads](https://pepy.tech/badge/mispr)](https://pepy.tech/project/mispr)
[![GitHub tag](https://img.shields.io/github/tag/molmd/mispr)](https://GitHub.com/molmd/mispr/tags/)

[![Codacy Badge](https://app.codacy.com/project/badge/Grade/8c047110974a42af9baed409664d2547)](https://www.codacy.com/gh/molmd/mispr/dashboard?utm_source=github.com&amp;utm_medium=referral&amp;utm_content=molmd/mispr&amp;utm_campaign=Badge_Grade)
![Website](https://img.shields.io/website?down_message=down&label=mispr%20website&up_message=up&url=https%3A%2F%2Fmolmd.github.io%2Fmispr%2F)
![GitHub commit activity](https://img.shields.io/github/commit-activity/m/molmd/mispr)

**Rasha Atwi, Matthew Bliss, and Nav Nidhi Rajput**

**Stony Brook University**

## Overview 
MISPR is a software that executes, manages, and stores computational materials science 
simulations. It contains pre-defined density functional theory (DFT) and molecular dynamics (MD) workflows to calculate and analyze different 
properties of materials. MISPR uses [MDPropTools](https://github.com/molmd/mdproptools) to perform MD analysis.

## Installation
You can either download the source from GitHub and compile yourself, or install directly using pip. 
Please see the [Installation](https://molmd.github.io/mispr/html/installation/index.html) page for detailed instructions.

## Useful Links
- [MISPR Website](https://molmd.github.io/mispr/): Visit this site to get an overview of MISPR, check the installation instructions, and follow MISPR tutorials
- [MISPR API Reference](https://molmd.github.io/mispr/html/py-modindex.html)
- [Resources](https://molmd.github.io/mispr/html/resources/resources.html)

## How to cite
Please include the following two citations if MISPR and/or MDPropTools were used for an academic study:
- Atwi, R., Bliss, M., Makeev, M., & Rajput, N. N. (2022). [MISPR: An automated infrastructure for high-throughput DFT and MD simulations](https://www.nature.com/articles/s41598-022-20009-w). Scientific Reports, 12(1), 1-16.
- Atwi, R., Chen, Y., Han, K. S., Mueller, K. T., Murugesan, V., & Rajput, N. N. (2022). 
[An automated framework for high-throughput predictions of NMR chemical shifts within liquid solutions](https://doi.org/10.1038/s43588-022-00200-9). 
Nature Computational Science, 2(2), 112-122.

## License Information
MISPR is a free, open-source software package (distributed under the [MIT license](https://github.com/molmd/mispr/blob/master/LICENSE)).
